# Get Serverless region

**GET /v1/serverless/region**

Get Redpanda Serverless region.


## Servers
- Control Plane API: https://api.redpanda.com (Control Plane API)


## Authentication methods
- Auth0


## Parameters


### Query parameters
- **cloud_provider** (string)
  Cloud provider where Serverless region is hosted.
- **name** (string)
  Display name of the Serverless region


## Responses
### 200
OK

#### Body: application/json (object)
- **serverless_region** (object)
  Resource describing a ServerlessRegion.

### 500
Internal Server Error. Please reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
